gio-0.12.2: Binding to the GIO.

Portability | portable (depends on GHC)
Stability | alpha
Maintainer | gtk2hs-devel@lists.sourceforge.net

System.GIO.Icons.FileIcon

Contents

- Details
- Types
- Methods

Description

Synopsis

- newtype FileIcon = FileIcon (ForeignPtr FileIcon)
- class GObjectClass o => FileIconClass o
- fileIconNew :: FileClass file => file -> IO FileIcon
- fileIconGetFile :: FileIconClass icon => icon -> IO File

# Details

`FileIcon` specifies an icon by pointing to an image file to be used as icon.

# Types

newtype FileIcon

Constructors

FileIcon (ForeignPtr FileIcon) |

Instances

Eq FileIcon |
Ord FileIcon |
GObjectClass FileIcon |
FileIconClass FileIcon |

class GObjectClass o => FileIconClass o

Instances

FileIconClass FileIcon |

# Methods

fileIconNew :: FileClass file => file -> IO FileIcon

Creates a new icon for a file.

fileIconGetFile :: FileIconClass icon => icon -> IO File

Gets the `File` associated with the given icon.